Subject: Re: bug#58459: Getting a fresh emacs session with no customisation

From: uzibalqa <[email-masked]>
Date: Wed, 12 Oct 2022 21:11:46 +0000

------- Original Message -------
On Wednesday, October 12th, 2022 at 5:30 PM, uzibalqa via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> ------- Original Message -------
> On Wednesday, October 12th, 2022 at 4:23 PM, Stefan Kangas [email-masked] wrote:
> 
> 
> 
> > uzibalqa [email-masked] writes:
> > 
> > > > Why is emacs not taking care of these EMACS generated X-Resources?
> > 
> > I don't think Emacs would set these resources. My guess it's specific
> > to your setup, or your GNU/Linux distribution or something.
> > 
> > > > You may claim it is not a bug, but what would be the usefelness when
> > > > user wants a fresh restart but has to go through all this torture
> > > > to find out what is going on. It is definitely not for the novice
> > > > to fix this.
> > 
> > It's a general feature on X that we happen to support. It's not a bug.
> > 
> > > How can one unset those resources?
> > 
> > If you read `man xrdb', you will find:
> > 
> > xrdb -remove
> 
> 
> Fine, let me agree it is not a bug. Because emacs supports some general features on X,
> and we know that this problem might occur, could emacs also support the clearance of
> EMACS X-Resources. Particularly for those not technically aware, it will solve them a
> whole lot of problems.

I an using Trisquel 9.  I have not personally added the Emacs X-Resourses.  I do not even have
the files "~/.Xresources" or "~/.Xdefaults".  "xrdb -remove" gets rid of the entire RESOURCE 
string, ignoring any input or arguments.

I am continually amazed how unreactive emacs maintainers can be to users.  Either shaming them,
make them look stupid, but then months or years later, it gets recognised they were right all along.